import 'dart:core';

import 'package:funkblubber/funkblubber.dart' as funkblubber;
import 'package:funkblubber/console.dart' as console;
import 'package:funkblubber/funkentity.dart';
import 'package:funkblubber/parser.dart' as parser;

void main(final List<String> arguments) async {
  final object = parser.extract(arguments);
  if (object.kind == FunkEntity.error) {
    console.error("'funkblubber --help 'for more");
    return;
  }

  await funkblubber.download(object: object);
}
